CONF_modules_free(3) | OpenSSL | CONF_modules_free(3)

# NAME

CONF_modules_free, CONF_modules_finish, CONF_modules_unload - OpenSSL configuration cleanup functions

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/conf.h>

     void CONF_modules_finish(void);
     void CONF_modules_unload(int all);

Deprecated:

     #if OPENSSL_API_COMPAT < 0x10100000L
     void CONF_modules_free(void)
     #endif

# DESCRIPTION

CONF_modules_free() closes down and frees up all memory allocated by all configuration modules. Normally, in versions of OpenSSL prior to 1.1.0, applications called CONF_modules_free() at exit to tidy up any configuration performed.

CONF_modules_finish() calls each configuration modules finish handler to free up any configuration that module may have performed.

CONF_modules_unload() finishes and unloads configuration modules. If all is set to 0 only modules loaded from DSOs will be unloads. If all is 1 all modules, including builtin modules will be unloaded.

# RETURN VALUES

None of the functions return a value.

# SEE ALSO

config(5), OPENSSL_config(3), CONF_modules_load_file(3)

# HISTORY

CONF_modules_free() was deprecated in OpenSSL 1.1.0; do not use it. For more information see OPENSSL_init_crypto(3).

# COPYRIGHT

Copyright 2004-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.

2018-09-23 | 1.1.1c